﻿using System;
using System.Net;
using System.Runtime.Serialization;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace BingExplorer.Services
{
    [DataContract]
    public class BingImage
    {
        [DataMember]
        public string Title { get; set; }

        [DataMember]
        public string Author { get; set; }

        [DataMember]
        public string Link { get; set; }

        [DataMember]
        public DateTime Date { get; set; }

        public string Thumbnail
        {
            get {
                return GetThumbnailUri(this.Link);
            }
        }

        public static string GetThumbnailUri(string uri)
        {
            return "http://webservices.aspitalia.com/services/thumb.svc?url=" + Uri.EscapeDataString(uri) +
                   "&w=190";
        }

        public BingImage()
        {                
        }

        public BingImage(string title, string author, string link, DateTime date)
        {
            this.Title = title;
            this.Author = author;
            this.Link = link;
            this.Date = date;
        }
    }
}
