﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace BingExplorer.Services
{
    public class LoadCompletedEventArgs : AsyncCompletedEventArgs
    {
        private readonly IEnumerable<BingImage> images;

        public LoadCompletedEventArgs(Exception error) : base(error, false, null)
        {
            
        }

        public LoadCompletedEventArgs(IEnumerable<BingImage> images)
        {
            if (images == null) throw new ArgumentNullException("images");
            this.images = images;
        }

        public IEnumerable<BingImage> Images
        {
            get
            {
                this.RaiseExceptionIfNecessary();
                return images;
            }
        }
    }
}
